## NAME

           rt_task_wait - end execution for the current period

## WARNING

           This is RTL v1.x compatibility function. Please do not use
           it for new programs.

## SYNOPSIS

           #define MODULE
           #include <linux/module.h>
           #include <linux/kernel.h>
           #include <linux/version.h>
           #include <linux/errno.h>
           #include <linux/rt_sched.h>

           int rt_task_wait(void);

## DESCRIPTION

           rt_task_wait ends execution of the currently running real-
           time  task  until  the start of the next period.  The task
           was    previously    marked    for     execution     using
           rt_task_make_periodic.

           The  task  is  not  suspended;  this  is  done  instead by
           rt_task_suspend.  Instead,  it  simply  gives  up  control
           until the next time period.

## RETURN VALUE

           Always returns 0.

## ERRORS

           None.

## SEE ALSO

           rt_get_time(3),     rt_task_delete(3),    rt_task_init(3),
           rt_task_make_periodic(3), rt_task_suspend(3)